Main Page Widgets Namespaces Book

# Gtk::LinkButton Class Reference
[Widgets]

Inheritance diagram for Gtk::LinkButton:

[legend]
List of all members.

## Detailed Description

Create buttons bound to a URL.

A Gtk::LinkButton is a Gtk::Button with a hyperlink, similar to the one used by web browsers, which triggers an action when clicked. It is useful to show quick links to resources.

The URI bound to a Gtk::LinkButton can be set specifically using set_uri(), and retrieved using get_uri(). Gtk::LinkButton offers a global hook, which is called when the used clicks on it: see set_uri_hook().

The LinkButton widget looks like this:

Since gtkmm 2.10:

## Public Types
typedef sigc::slot< void, Gtk::LinkButton*, const Glib::ustring& > | SlotUri
| For instance, void on_linkbutton_uri(Gtk::LinkButton *button, const Glib::ustring& uri);.
## Public Member Functions
Glib::ustring | get_uri () const
| Retrieves the URI set using set_uri().
const GtkLinkButton* | gobj () const
| Provides access to the underlying C GtkObject.
GtkLinkButton* | gobj ()
| Provides access to the underlying C GtkObject.
| LinkButton (const Glib::ustring& uri, const Glib::ustring& label)
| LinkButton (const Glib::ustring& uri)
| LinkButton ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_uri () const
| The URI bound to this button.
Glib::PropertyProxy<Glib::ustring> | property_uri ()
| The URI bound to this button.
void | set_uri (const Glib::ustring& uri)
| Sets uri as the URI where the Gtk::LinkButton points.
virtual | ~LinkButton ()
## Static Public Member Functions
static void | set_uri_hook (const SlotUri& slot)
| Sets slot as the function that should be invoked every time a user clicks a LinkButton.
static void | unset_uri_hook ()
| Unsets any previously set slot as the function that should be invoked every time a user clicks a LinkButton.
## Related Functions
(Note that these are not member functions.)
Gtk::LinkButton* | wrap (GtkLinkButton* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Member Typedef Documentation

typedef sigc::slot<void, Gtk::LinkButton*, const Glib::ustring&> Gtk::LinkButton::SlotUri

For instance, void on_linkbutton_uri(Gtk::LinkButton *button, const Glib::ustring& uri);.

See also:
  set_uri_hook().

## Constructor & Destructor Documentation

virtual Gtk::LinkButton::~LinkButton | ( |  | ) | `[virtual]`

Gtk::LinkButton::LinkButton | ( |  | ) |

Gtk::LinkButton::LinkButton | ( | const Glib::ustring & | uri | ) | `[explicit]`

Gtk::LinkButton::LinkButton | ( | const Glib::ustring & | uri,
|  | const Glib::ustring & | label |
| ) |  |  | `[explicit]`

## Member Function Documentation

Glib::ustring Gtk::LinkButton::get_uri | ( |  | ) | const

Retrieves the URI set using set_uri().

Returns:
  A valid URI. The returned string is owned by the link button and should not be modified or freed.

Since gtkmm 2.10:

const GtkLinkButton* Gtk::LinkButton::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Button.

GtkLinkButton* Gtk::LinkButton::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Button.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::LinkButton::property_uri | ( |  | ) | const

The URI bound to this button.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::LinkButton::property_uri | ( |  | ) |

The URI bound to this button.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::LinkButton::set_uri | ( | const Glib::ustring & | uri | ) |

Sets uri as the URI where the Gtk::LinkButton points.

Since gtkmm 2.10:

Parameters:

  | uri | A valid URI.

static void Gtk::LinkButton::set_uri_hook | ( | const SlotUri& | slot | ) | `[static]`

Sets slot as the function that should be invoked every time a user clicks a LinkButton.

This function is called before every signal handler registered for the "clicked" signal.

Parameters:

  | slot | A function called each time a LinkButton is clicked.

Since gtkmm 2.12:

static void Gtk::LinkButton::unset_uri_hook | ( |  | ) | `[static]`

Unsets any previously set slot as the function that should be invoked every time a user clicks a LinkButton.

See also:
  set_uri_hook().

Since gtkmm 2.12:

## Friends And Related Function Documentation

Gtk::LinkButton* wrap | ( | GtkLinkButton * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- linkbutton.h